#-------------------------------------------------------------------------------
#
#  Copyright (c) 2000 Tyrell Corporation. All rights reserved.
#
#  Tyrell DarkIce
#
#  File     : darkice.spec
#  Version  : $Revision: 1.23 $
#  Author   : $Author: darkeye $
#  Location : $Source: /cvsroot/darkice/darkice/rpm/darkice.spec,v $
#  
#  Abstract : 
#
#   Specification file to build RPM packages of DarkIce
#
#  Copyright notice:
#
#   This program is free software; you can redistribute it and/or
#   modify it under the terms of the GNU General Public License  
#   as published by the Free Software Foundation; either version 2
#   of the License, or (at your option) any later version.
#  
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of 
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
#   GNU General Public License for more details.
#  
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
#-------------------------------------------------------------------------------

# ===================================================================== preamble
Summary : DarkIce live IceCast / ShoutCast streamer
Name: darkice
Vendor: Tyrell Hungary
Packager: Akos Maroy <darkeye@tyrell.hu>
Version: 0.18.1
Release: 2%{?dist}
License: GPLv2+
Group: Applications/Multimedia
#Source: http://darkice.tyrell.hu/dist/%{version}/darkice-%{version}.tar.gz
Source: %{name}-%{version}.tar.bz2
Patch: darkice-0.18.1-gcc43.patch
URL: http://darkice.tyrell.hu/
BuildRequires: alsa-lib-devel, faac-devel
BuildRequires: jack-audio-connection-kit-devel
BuildRequires: lame-devel, libvorbis-devel
BuildRequires: twolame-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prefix: %{_prefix}

%description
DarkIce is a live audio streamer. It records audio from an audio interface
(e.g. sound card), encodes it and sends it to a streaming server.

DarkIce can record from:

    * OSS audio devices
    * ALSA audio devices
    * Solaris audio interface
    * Jack sources

DarkIce can encode in the following formats:

    * mp3 - using the lame library
    * mp2 - using the twolame library
    * Ogg Vorbis
    * aac - using the faac library

DarkIce can send the encoded stream to the following streaming servers:

    * ShoutCast
    * IceCast 1.3.x and 2.x
    * Darwin Streaming Server


# =================================================================== prep stage
%prep
%setup
%patch -p1


# ================================================================== build stage
%build
# XXX to make it detect faac
%{__perl} -pi.orig -e 's|libfaac.a|libfaac.so|g' configure
# XXX to make it detect lame
%{__perl} -pi.orig -e 's|libmp3lame.a|libmp3lame.so|g' configure
# XXX to make it detect twolame
%{__perl} -pi.orig -e 's|libtwolame.a|libtwolame.so|g' configure

%ifarch x86_64
# XXX to make configure look into /usr/lib64
%{__perl} -pi -e 's|/lib|/lib64|g;s|/lib64exec|/libexec|g' configure
%endif

%configure \
	--with-jack \
	--with-faac-prefix=%{_prefix} \
	--with-lame-prefix=%{_prefix} \
	--with-twolame-prefix=%{_prefix} \
	--with-vorbis-prefix=%{_prefix}
make %{?_smp_mflags} CXXFLAGS="-O2 -pedantic -Wall $RPM_OPT_FLAGS" all


# ================================================================ install stage
%install
%makeinstall


# ========================================================== pre-install scripts
%pre


# ========================================================= post-install scripts
%post


# ======================================================================== clean
%clean
rm -rf $RPM_BUILD_ROOT
make clean


# =========================================================== main package files
%files
%defattr (-, root, root)
%doc COPYING ChangeLog README TODO AUTHORS
%config(noreplace) %{_sysconfdir}/darkice.cfg
%{_bindir}/darkice
%{_mandir}/man1/darkice.1*
%{_mandir}/man5/darkice.cfg.5*


# =================================================================== change log
%changelog
* Mon May 26 2008 Peter Hanecak <hany@hany.sk> 0.18.1-2
- patched to compile with gcc 4.3.0
- more precise License tag: GPLv2+

* Sun Jul  8 2007 Peter Hanecak <hany@hany.sk> 0.18.1-1
- updated to 0.18.1
- dropped gcc4 patch - change included upstream

* Sat Jan 27 2007 Peter Hanecak <hany@hany.sk> 0.17.1-1
- updated to 0.17.1
- updated description, URL, ...

* Mon Aug 22 2005 Peter Hanecak <hanecak@megaloman.sk> 0.15-2
- fixes for x86-64 build

* Mon Aug 22 2005 Peter Hanecak <hanecak@megaloman.sk> 0.15-1
- updated to 0.15
- s/Copyright/License/
- 'noreplace' used for configuration file
- %%{?_smp_mflags} used with 'make'

* Mon Oct 11 2004 Peter Hanecak <hanecak@megaloman.sk> 0.14-1
- .bz2 source archiv
- RPM_OPT_FLAGS used
